# Uses of Enum Class
org.snpeff.snpEffect.ErrorWarningType

Packages that use ErrorWarningType
Package
Description
org.snpeff.interval
org.snpeff.snpEffect
org.snpeff.util

## Uses of ErrorWarningType in org.snpeff.interval

Methods in org.snpeff.interval that return ErrorWarningType
Modifier and Type
Method
Description
`ErrorWarningType`
Exon.`sanityCheck(Variant variant)`
Check that the base in the exon corresponds with the one in the SNP
`ErrorWarningType`
Transcript.`sanityCheck(Variant variant)`
Perfom some baseic chekcs, return error type, if any

## Uses of ErrorWarningType in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect that return ErrorWarningType
Modifier and Type
Method
Description
`static ErrorWarningType`
ErrorWarningType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ErrorWarningType[]`
ErrorWarningType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.snpeff.snpEffect with parameters of type ErrorWarningType
Modifier and Type
Method
Description
`void`
VariantEffect.`addErrorMessage(ErrorWarningType errmsg)`
`void`
VariantEffects.`addErrorWarning(Variant variant, ErrorWarningType errwarn)`
`void`
VariantEffect.`addErrorWarningInfo(ErrorWarningType errwarn)`
Add an error or warning
`void`
VariantEffect.`addInfoMessage(ErrorWarningType infomsg)`
`void`
VariantEffect.`addWarningMessge(ErrorWarningType warnmsg)`

## Uses of ErrorWarningType in org.snpeff.util

Fields in org.snpeff.util with type parameters of type ErrorWarningType
Modifier and Type
Field
Description
`protected static Map<ErrorWarningType,Integer>`
Log.`warnCount`
Methods in org.snpeff.util that return types with arguments of type ErrorWarningType
Modifier and Type
Method
Description
`static Map<ErrorWarningType,Integer>`
Log.`getWarnCount()`
Methods in org.snpeff.util with parameters of type ErrorWarningType
Modifier and Type
Method
Description
`static void`
Log.`silenceWarning(ErrorWarningType warningType)`
`static void`
Log.`warning(ErrorWarningType warnType, String msg)`
Show a warning message (up to MAX_ERRORS times)